This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 149162 - dbus sends SIGSTOP to startx process group when switching VTs [NEEDINFO]
dbus sends SIGSTOP to startx process group when switching VTs
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dbus (Show other bugs)
5.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-19 13:40 EST by paul.knowles
Modified: 2014-06-02 09:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-02 09:17:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pm-rhel: needinfo? (paul.knowles)


Attachments (Terms of Use)

  None (edit)
Description paul.knowles 2005-02-19 13:40:14 EST
Description of problem:

The dbus daemon/system seems to be sending a SIGSTOP to all the 
members of the startx process group when X registers the ctrl-alt-Fx
Vt switching commands.  When you switch back to the x session in
question, no SIGCONT is issued and hence everything is frozen.

Version-Release number of selected component (if applicable):

How reproducible: whenever dbus-launch is used to run .Xclients

Steps to Reproduce:
1. boot runlevel 3
2. login and run startx
3. ctrl-alt-F1 to switch to the console
4. ctrl-alt-Fx to switch back to the X session
5. play with the mouse since that's all that moves...
  
Actual results:  x session clients are frozen
Expected results: working x session clients

Additional info:
 The x session can be saved by issuing a SIGCONT to all paused
processes _except_ anything associated with dbus, i.e., from a working
VT: top -i -u $USERNAME, and for all lines with a T for the status,
issue SIGCONT, unless it is the dbus-launch process (leave it stopped)
Vt switch back the the x session Vt and things are working again.

Workaround: 
in your primary .bashrc, define

# kill the DBUS lauch
export DBUS_SESSION_BUS_ADDRESS=some_garbage
export DBUS_LAUNCH=""

(see /etc/X11/xinit/xinitrc-common and /etc/X11/xinit/xinitrc
to understand how this saves you from the cluelessness of dbus)

At least in FC3, this dbus business has no documentation to explain
what is does or why it is needed.  It seems to be a new addition to
xorg.  Philosophically, it is very bad to stop a users processes just
because he or she has switched to another VT.
Comment 1 Mike A. Harris 2005-03-06 20:01:27 EST
Sounds like a bug in dbus rather than xorg-x11.
Comment 2 Matthew Miller 2006-07-10 18:52:20 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Victor Ashik 2007-03-31 13:39:38 EDT
It looks like the bug is resolved in FC6, but is not resolved in RHEL 5.
How to reproduce:

1. login as user in runlevel 3
2. exec startx
3. X Window system will hang soon

Please change product to RHEL5.
Comment 4 Matthew Miller 2007-03-31 15:20:22 EDT
Retested (see comment #3), so clearing the needinfo bit.
Comment 6 RHEL Product and Program Management 2014-03-07 08:42:40 EST
This bug/component is not included in scope for RHEL-5.11.0 which is the last RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX (at the end of RHEL5.11 development phase (Apr 22, 2014)). Please contact your account manager or support representative in case you need to escalate this bug.
Comment 7 RHEL Product and Program Management 2014-06-02 09:17:14 EDT
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux 5. We've carefully evaluated the request, but are unable to include it in RHEL5 stream. If the issue is critical for your business, please provide additional business justification through the appropriate support channels (https://access.redhat.com/site/support).

Note You need to log in before you can comment on or make changes to this bug.